_LWP_DETACH(2) | System Calls Manual | _LWP_DETACH(2)

# NAME

`_lwp_detach` —
detach a light-weight process

# LIBRARY

Standard C Library (libc, -lc)

# SYNOPSIS

`#include <lwp.h>`

int
`_lwp_detach`(lwpid_t lwp);

# DESCRIPTION

`_lwp_detach`() causes a light-weight process to become detached, having the same effect as if the LWP was created with the `LWP_DETACHED` flag.

The resources associated with a detached LWP will be automatically reclaimed by the system when the LWP exits. Conversely, an attached LWP's resources will not be reclaimed until its status is reported to another LWP via _lwp_wait(2).

# RETURN VALUES

A 0 value indicates that the call succeeded. A -1 return value indicates an error occurred and errno is set to indicate the reason.

# ERRORS

[`EINVAL`]
  The LWP is already detached.
[`ESRCH`]
  No LWP can be found in the current process corresponding to that specified by lwp.

# SEE ALSO

_lwp_create(2), _lwp_wait(2)

# HISTORY

The `_lwp_detach`() system call first appeared in NetBSD 5.0.

January 20, 2007 | NetBSD 9.4